NumberRangePrefixTreeStrategy.Facets.FacetParentVal (Lucene 10.5.0 spatial-extras API)
Description: declaration: package: org.apache.lucene.spatial.prefix, class: NumberRangePrefixTreeStrategy, class: Facets, class: FacetParentVal

Package org.apache.lucene.spatial.prefix

# Class NumberRangePrefixTreeStrategy.Facets.FacetParentVal

java.lang.Object
org.apache.lucene.spatial.prefix.NumberRangePrefixTreeStrategy.Facets.FacetParentVal

Enclosing class:
  `NumberRangePrefixTreeStrategy.Facets`

public static class NumberRangePrefixTreeStrategy.Facets.FacetParentVal extends Object
Holds a block of detailLevel counts aggregated to their parent level.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `childCounts`
  The detail level counts.
  `int`
  `childCountsLen`
  The length of `childCounts`.
  `int`
  `parentLeaves`
  The count of ranges that span all of the childCounts.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetParentVal()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parentLeaves

    public int parentLeaves
    The count of ranges that span all of the childCounts. In more technical terms, this is the number of leaf cells found at this parent. Treat this like `NumberRangePrefixTreeStrategy.Facets.topLeaves`.

  - ### childCountsLen

    public int childCountsLen
    The length of `childCounts`. If childCounts is not null then this is childCounts.length, otherwise it says how long it would have been if it weren't null.

  - ### childCounts

    public int[] childCounts
    The detail level counts. It will be null if there are none, and thus they are assumed 0. Most apps, when presenting the information, will add `NumberRangePrefixTreeStrategy.Facets.topLeaves` and `parentLeaves` to each count.

- ## Constructor Details

  - ### FacetParentVal

    public FacetParentVal()